<?php
/**
 * The header for our theme.
 * @package Abstract Grid
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="http://gmpg.org/xfn/11">


        <?php wp_head(); ?>
    </head>
<?php
$bloginfo = get_bloginfo( 'name' );
?>
    <body id="top" <?php body_class(); ?>>

        <!-- header 
       ================================================== -->
        <header class="short-header">   

            <div class="gradient-block"></div>	

            <div class="row header-content">

                <div class="logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>">                      
                        <?php
                        $custom_logo_id = get_theme_mod( 'custom_logo' );
                        $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
                        if ( has_custom_logo() ) {
                            echo '<img src="'. esc_url( $logo[0] ) .'" alt="'.$bloginfo.'">';
                        } else {
                            echo '<h1>'. esc_attr( get_bloginfo( 'name' ) , 'abstract-grid' ) .'</h1>';
                        }                       
                        ?>
                    </a>
                </div>
                
                
                <div id="resNav"></div>

                <!-- Start main-nav-wrap -->
                <nav id="main-nav-wrap">

                    <?php
                        wp_nav_menu(array(
                            'theme_location' => 'primary',
                            'menu_class' => 'main-navigation sf-menu',
                            'container' => false,
                        ));
                    ?> 
                </nav> 
                <!-- end main-nav-wrap -->

                
                
                
                <div class="search-wrap">

                    <form role="search" method="get" class="search-form" action="<?php echo home_url('/'); ?>">
                        <label>
                            <span class="hide-content"><?php _e( 'Search for:' , 'abstract-grid' ) ?></span>
                            <input type="search" class="search-field" placeholder="<?php _e( 'Type Your Keywords:' , 'abstract-grid' ) ?>" value="<?php echo get_search_query() ?>" name="s" title="<?php _e( 'Search for:' , 'abstract-grid' ) ?>" autocomplete="off">
                        </label>
                        <input type="submit" class="search-submit" value="<?php _e( 'Search' , 'abstract-grid' ) ?>">
                    </form>

                    <a href="#" id="close-search" class="close-btn"><?php _e( 'Close' , 'abstract-grid' ); ?></a>

                </div> <!-- end search wrap -->	

                

                
                
                
            </div>     		

        </header> <!-- end header -->

        
        