<?php
/**
 * File for controlling all meta of the theme
 *
 * @package WordPress
 * @subpackage abstract_grid
 */


add_action('cmb2_admin_init', 'abstract_metaboxes');

function abstract_metaboxes() {

    $prefix = '_abs_';

    /**
     * Initiate the metabox
     */
    $abs = new_cmb2_box(array(
        'id' => 'abstract_metabox',
        'title' => __('Additional Setting', 'abstract-grid'),
        'object_types' => array('post',),
        'context' => 'normal',
        'priority' => 'high',
        'show_names' => true,
            ));


    $abs->add_field(array(
        'name' => __('Post Type','abstract-grid'),
        'desc' => __('Please select the post type. Default is standard','abstract-grid'),
        'id' => $prefix . 'abstract_post_type',
        'type' => 'select',
        'show_option_none' => true,
        'default' => 'standard',
        'options' => array(
            'standard' => __('Standard', 'abstract-grid'),
            'audio' => __('Audio', 'abstract-grid'),
            'video' => __('Video', 'abstract-grid'),
            'gallery' => __('Gallery', 'abstract-grid'),
        ),
    ));

    $abs->add_field(array(
        'name' => __('Upload Your Audio','abstract-grid'),
        'desc' => __('You can put url also','abstract-grid'),
        'id' => $prefix . 'audio',
        'type' => 'file',
        'options' => array(
            'url' => true,
        ),
        'text' => array(
            'add_upload_file_text' => __('Add Audio','abstract-grid'),
        ),
    ));


    $abs->add_field(array(
        'name' => __('Gallery','abstract-grid'),
        'desc' => __('Upload Images for Gallery. Good size is 700*1000','abstract-grid'),
        'id' => $prefix . 'gallery',
        'type' => 'file_list',
    ));

    $abs->add_field(array(
        'name' => __('Video Url','abstract-grid'),
        'desc' => __('Youtube - https://www.youtube.com/watch?v=DUmcuiJmSbk  || Vimeo - https://vimeo.com/189789787','abstract-grid'),
        'id' => $prefix . 'video',
        'type' => 'text',
    ));




    /**
     * Initiate the metabox for user
     */
    $abs_user = new_cmb2_box(array(
        'id' => 'abstract_user_meta',
        'title' => __('Social Setting', 'abstract-grid'),
        'object_types' => array('user',),
        'context' => 'normal',
        'priority' => 'high',
        'show_names' => true,
            ));

    $abs_user->add_field(array(
        'name' => __('Facebook','abstract-grid'),
        'desc' => __('Add your facebook url','abstract-grid'),
        'id' => $prefix . 'facebook',
        'type' => 'text',
    ));

    $abs_user->add_field(array(
        'name' => __('Twitter','abstract-grid'),
        'desc' => __('Add your twitter url','abstract-grid'),
        'id' => $prefix . 'twitter',
        'type' => 'text',
    ));

    $abs_user->add_field(array(
        'name' => __('Instagram','abstract-grid'),
        'desc' => __('Add your instagram url','abstract-grid'),
        'id' => $prefix . 'instagram',
        'type' => 'text',
    ));

    $abs_user->add_field(array(
        'name' => __('Google Plus','abstract-grid'),
        'desc' => __('Add your google plus url','abstract-grid'),
        'id' => $prefix . 'google',
        'type' => 'text',
    ));

    $abs_user->add_field(array(
        'name' => __('Image','abstract-grid'),
        'desc' => __('Add your image','abstract-grid'),
        'id' => $prefix . 'user_img',
        'type' => 'file',
    ));
}
