<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package WordPress
 * @subpackage abstract_grid
 */
get_header();
GLOBAL $abs_options;
?>

<section id="bricks">


    <div class="row masonry">

        <!-- brick-wrapper -->
        <div class="bricks-wrapper">
            <div class="grid-sizer"></div>


            <?php

// disable slider from option panel

if (get_theme_mod( 'slider_code' ) == 'show')
	{
	get_template_part('template-parts/content-home-slider');
	}

if (have_posts()):
	if (is_home() && !is_front_page()):
?>
                    <header>
                        <h1 class="page-title screen-reader-text"><?php
		single_post_title(); ?></h1>
                    </header>

                    <?php
	endif;
	/* Start the Loop */
	while (have_posts()):
		the_post();
		/*
		* Include the Post-Format-specific template for the content.
		* If you want to override this in a child theme, then include a file
		* called content-___.php (where ___ is the Post Format name) and that will be used instead.
		*/
		if (!is_singular())
			{
			get_template_part('template-parts/content-post-loop');
			}
		  else
			{
			get_template_part('template-parts/content', get_post_format());
			}

	endwhile;
?>



            </div> <!-- end brick-wrapper --> 
        </div> <!-- end row -->     


        <?php
	if (function_exists('abstract_custom_pagination'))
		{
		abstract_custom_pagination("", "", $paged);
		}

?>

    </section>


    <?php
else:
	get_template_part('template-parts/content', 'none');
endif;
?>








<?php
get_footer();
