<?php
/**
 * The default template for displaying content slider
 *
 * @package WordPress
 * @subpackage abstract_grid
 */

$slider_post = abstract_grid_get_post(get_theme_mod( 'slider_amount' ), get_theme_mod( 'slider_category' ));
?>




<div class="brick entry featured-grid animate-this">
    <div class="entry-content">
        <div id="featured-post-slider" class="flexslider">
            <ul class="slides">

                <?php
                foreach ($slider_post as $slider_val) {
                    $post_url = get_permalink($slider_val->ID)
                    ?>
                    <li>
                        <div class="featured-post-slide">

                            <div class="post-background" style="background-image:url('<?php echo get_the_post_thumbnail_url($slider_val->ID, 'full'); ?>');"></div>

                            <div class="overlay"></div>			   		

                            <div class="post-content">
                                <ul class="entry-meta">
                                    <li><?php echo get_the_date('', $slider_val->ID); ?></li> 
                                    <?php
                                    $cat_list = get_the_category($slider_val->ID);
                                    if (is_array($cat_list))
                                        foreach ($cat_list as $cat_val) {
                                            $url = esc_url(get_category_link($cat_val->term_id));
                                            $name = esc_attr($cat_val->name);                                        
                                            echo "<li><a href='{$url}' >$name</a></li>";
                                        }
                                    ?>
                                </ul>	

                                <h1 class="slide-title"><a href="<?php echo esc_url($post_url); ?>" title=""><?php echo esc_attr($slider_val->post_title); ?></a></h1> 
                            </div> 				   					  

                        </div>
                    </li> <!-- /slide -->
                    <?php
                }
                ?>
            </ul> <!-- end slides -->
        </div> <!-- end featured-post-slider -->        			
    </div> <!-- end entry content -->         		
</div>
