<?php
/**
 * The default template for displaying content page
 *
 * @package WordPress
 * @subpackage abstract_grid
 */
$abs_featured_image = esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full'));
?>
<div class="row">
    <div class="col-twelve">
        <section> 
            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>


                <?php
                if ($abs_featured_image) {
                    echo "<div class='content-media'>						
                            <img src='{$abs_featured_image}'>						  
                        </div>";
                }
                ?>

                <div class="entry-header">
                    <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
                </div><!-- .entry-header -->

                <div class="entry-content">
                    <?php
                    the_content();

                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'abstract-grid'),
                        'after' => '</div>',
                    ));
                    ?>
                </div><!-- .entry-content -->

                <?php if (get_edit_post_link()) : ?>
                    <div class="entry-footer">
                        <?php
                        edit_post_link(
                                sprintf(
                                        /* translators: %s: Name of current post */
                                        esc_html__('Edit %s', 'abstract-grid'), the_title('<span class="screen-reader-text">"', '"</span>', false)
                                ), '<span class="edit-link">', '</span>'
                        );
                        ?>
                    </div><!-- .entry-footer -->
                <?php endif; ?>
            </article><!-- #post-## -->
        </section> 

    </div> <!-- end col-twelve -->
</div> <!-- end row -->