<?php
/**
 * The default template for displaying content-loop
 *
 * @package WordPress
 * @subpackage abstract_grid
 */
$stripped_content = esc_textarea (wp_strip_all_tags(abstract_grid_get_limit_post_content(get_the_ID())));
$abs_post_type = esc_attr(get_post_meta($post->ID, '_abs_abstract_post_type', true));
$abs_post_audio = esc_url(get_post_meta($post->ID, '_abs_audio', true));
$abs_post_gallery = get_post_meta($post->ID, '_abs_gallery', true);
$abs_post_video = esc_url(get_post_meta($post->ID, '_abs_video', true));
?>

<article class="brick entry animate-this <?php if ($abs_post_type == 'audio') {
    echo "format-audio";
} else if ($abs_post_type == 'video') {
    echo "format-video";
} else if ($abs_post_type == 'standard') {
    echo "format-standard";
} else if ($abs_post_type == 'gallery') {
    echo "format-gallery";
} else {
    echo "format-standard";
} ?>">

   
    
<div class="entry-thumb <?php if ($abs_post_type == 'video') echo "video-image"; ?>" style="<?php if(!has_post_thumbnail($post->ID)){ echo "display:none;"; } ?>">

        <?php
        if ($abs_post_type == 'standard' || $abs_post_type == 'audio') {
            ?>  
            <a href="<?php the_permalink(); ?>" class="thumb-link">
                <img src="<?php the_post_thumbnail_url('abstract-grid-masonry'); ?>" alt="<?php the_title(); ?>">             
            </a>
        <?php } ?>


                <?php
                if ($abs_post_type == 'gallery') {
                    ?> 
            <div class="post-slider flexslider">
                <ul class="slides">
    <?php
    if (is_array($abs_post_gallery))
        foreach ($abs_post_gallery as $value) {
            echo "<li>";
            echo "<img src='$value'>";
            echo "</li>";
        }
    ?>


                </ul>
            </div>  
        <?php } ?>


        <?php
        if ($abs_post_type == 'audio') {
            ?>
            <div class="audio-wrap">
                <audio id="player" src="<?php echo $abs_post_audio; ?>" width="100%" height="42" controls></audio>                  	
            </div>
        <?php } ?> 


<?php
if ($abs_post_type == 'video') {
    ?>
            <a href="<?php echo $abs_post_video; ?>" data-lity>
                <img src="<?php the_post_thumbnail_url('abstract-grid-masonry'); ?>" alt="<?php the_title(); ?>">                   
            </a>
<?php } else if($abs_post_type == NULL) { ?> 
 
            <a href="<?php the_permalink(); ?>" class="thumb-link">
                <img src="<?php the_post_thumbnail_url('abstract-grid-masonry'); ?>" alt="<?php the_title(); ?>">             
            </a>
<?php } ?>

    </div>

    <div class="entry-text">
        <div class="entry-header">

            <div class="entry-meta">            			                         
<?php abstract_entry_meta(); ?>
            </div>

            <h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>

        </div>
        <div class="entry-excerpt">
            <?php
            the_excerpt()
            ?>	
        </div>
    </div>

</article> <!-- end article -->




