<?php
/**
 * The default template for displaying content
 *
 * @package WordPress
 * @subpackage abstract_grid
 */
$abs_post_type = esc_attr(get_post_meta($post->ID, '_abs_abstract_post_type', true));
$abs_post_audio = esc_url(get_post_meta($post->ID, '_abs_audio', true));
$abs_post_gallery = get_post_meta($post->ID, '_abs_gallery', true);
$abs_post_video = esc_url(get_post_meta($post->ID, '_abs_video', true));
$abs_featured_image = esc_url(get_the_post_thumbnail_url($post->ID, 'full'));
?>

<div class="row">
    <div class="col-twelve">

        <article id="post-<?php the_ID();?>" class="<?php
                 if ($abs_post_type == 'standard') {
                     echo "format-standard";
                 } else if ($abs_post_type == 'audio') {
                     echo "format-audio";
                 } else if ($abs_post_type == 'video') {
                     echo "format-video";
                 } else if ($abs_post_type == 'gallery') {
                     echo "format-gallery";
                 }
                 ?>">                


            <div class="content-media">

                <?php
                if ($abs_post_type == 'standard' || $abs_post_type == 'audio') {
                    echo "<div class='post-thumb'>
                    <img src='{$abs_featured_image}'> 
                        </div>";
                }

                if ($abs_post_audio) {

                    echo "<div class='audio-wrap'>
                      <audio id='player2' src='{$abs_post_audio}' width='100%' height='42' controls></audio>                      
                        </div>";
                }

                if ($abs_post_video) {
                    $embed_code = wp_oembed_get($abs_post_video, array('width'=>640,'height'=> 360));   
                    echo "<div class='fluid-video-wrapper'>
                    {$embed_code}
                      </div> ";
                }

                if ($abs_post_gallery) {

                    echo "<div class='post-slider flexslider'>
                        <ul class='slides'>";

                    if (is_array($abs_post_gallery)) {
                        foreach ($abs_post_gallery as $value) {
                            echo "  <li>
                                    <img src='{$value}'> 
                                    </li>";
                        }
                    }
                    echo "</ul>                            
                    </div> ";
                }
                ?>


            </div>


            <div class="primary-content">

                <div class="entry-header">
            <?php
                    if (is_single()):
                        the_title('<h1 class="page-title">', '</h1>');
                    else:
                        the_title('<h2 class="page-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
                    endif;

                    if ('post' === get_post_type()):
            ?>
                        <ul class="entry-meta">
                        <?php
                        abstract_posted_on();
                        ?>
                        </ul><!-- .entry-meta -->
                            <?php
                        endif;
                        ?>
                </div><!-- .entry-header -->

                <div class="entry-content">
                <?php
                the_content(sprintf(/* translators: %s: Name of current post. */ wp_kses(__('Continue reading %s <span class="meta-nav">&rarr;</span>', 'abstract-grid'), array(
                    'span' => array(
                        'class' => array()
                    )
                )), the_title('<span class="screen-reader-text">"', '"</span>', false)));

                wp_link_pages(array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'abstract-grid'),
                    'after' => '</div>'
                ));
                ?>
                </div><!-- .entry-content -->


                <div class="entry-footer">
                <?php
                abstract_entry_footer();
                ?>
                </div><!-- .entry-footer -->


                <div class="author-profile">
                <?php
                abstract_author();
                ?> 
                </div> <!-- end author-profile -->            

            </div> <!-- end entry-primary -->    

            <?php
            echo abstract_grid_post_navigation();
            ?>  

        </article><!-- #post-## -->

    </div> <!-- end col-twelve -->
</div> <!-- end row -->